Bug 691999

Summary: [RFE] Include /proc/acpi/{dsdt,fadt}
Product: [Fedora] Fedora Reporter: Jan Holčapek <jholcape>
Component: sosAssignee: Bryn M. Reeves <bmr>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bmr, plyons, prc
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-23 11:53:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jan Holčapek 2011-03-30 02:46:00 EDT
Description of problem:
Include /proc/acpi/dsdt in the collection.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan Holčapek 2011-05-24 01:50:14 EDT
I have changed the bug title in that I would also like to collect /proc/acpi/fadt.
Comment 2 Jan Holčapek 2011-06-24 07:35:42 EDT
Oh, and eventually I found about /sys/firmware/acpi/tables/*,
so grab them all, if they exist.
Comment 4 Fedora Admin XMLRPC Client 2012-02-25 08:49:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2012-02-27 08:59:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bryn M. Reeves 2012-12-11 14:19:06 EST
Fixed upstream:

commit 01cde55c9fbd87b9050e5e953e98a5ac81819024
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Dec 11 19:18:13 2012 +0000

    Add /sys/firmware/acpi/tables to hardware module
    
    Collect the ACPI tables present on the host system
Comment 7 Bryn M. Reeves 2014-04-01 07:42:08 EDT
Fixed and then regressed, now fixed again:

commit d11ff8485e00ca3cf92c90e313e7f69d19ee02ec
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Apr 1 12:40:42 2014 +0100

    Fix ACPI table regression in hardware plugin
    
    The collection of /sys/firmware/acpi/tables was accidentally
    dropped in commit 26b1ee3. Add it back to the files collected by
    the hardware plugin.
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
Comment 8 Sandro Bonazzola 2017-02-23 11:53:42 EST
Closing as current release according to comment #7.